Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp.management.deployment.dataspace
Enum DeploymentTarget.Kind

    java.lang.Object
      java.lang.Enum<DeploymentTarget.Kind>
          com.bea.dsp.management.deployment.dataspace.DeploymentTarget.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DeploymentTarget.Kind>

Enclosing class:
  DeploymentTarget

    public static enum DeploymentTarget.Kind

extends java.lang.Enum<DeploymentTarget.Kind>

Enum Constant Summary
`CLUSTER`
`SINGLE_SERVER`

Method Summary
`static DeploymentTarget.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DeploymentTarget.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_SERVER

    public static final DeploymentTarget.Kind SINGLE_SERVER

### CLUSTER

    public static final DeploymentTarget.Kind CLUSTER

Method Detail

### values

    public static DeploymentTarget.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DeploymentTarget.Kind c : DeploymentTarget.Kind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DeploymentTarget.Kind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.